require "fetch_quester/version"

module FetchQuester
  class Error < StandardError; end

  class SayFetch

    def self.generate_examples
      require "ExampleGenerator"

      open("data/examples.txt", "w") { |f|
        ExampleGenerator::Generate_Examples.greeting
        ExampleGenerator::Generate_Examples.agent
        ExampleGenerator::Generate_Examples.request
        ExampleGenerator::Generate_Examples.item
        ExampleGenerator::Generate_Examples.for_from
        ExampleGenerator::Generate_Examples.neighbor
        ExampleGenerator::Generate_Examples.place

        f.print $do_greeting; f.print $do_agent
        f.print $do_request;  f.print $do_item
        f.print $do_for_from; f.print $do_neighbor
        f.print $do_place;
      }
    end

    def self.gabbler
      require "gabbler"

      gabbler = Gabbler.new

      data    = File.read("data/examples.txt")

      gabbler.learn(data)

      puts gabbler.sentence
    end

  end
end
